#
# spec file for package vpass (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cracklib
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         vpass
Copyright:    GPL (c) 1999 SuSE GmbH, Nuernberg, Germany
Group:        Utilities/Security
Version:      1.1
Release:      295
Summary:      Verify passwords via cracklib
Autoreqprov:  on
Source:       vpass-1.1.tar.gz

%description
This is a very simple tool, that reads passwords from stdin
(no, not via getpass(3)), veryfies it via cracklib and writes
"OK" or "ERR why" to stdout if password looks good or not.

Authors:
--------
    Marius Tomaschewski <mt@suse.de>

SuSE series: sec

%prep
%setup

%build
export RPM_OPT_FLAGS
make

%install
export RPM_BUILD_ROOT
install -c -m755 -oroot -groot vpass   $RPM_BUILD_ROOT/usr/bin/vpass
install -c -m644 -oroot -groot vpass.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%files
/usr/bin/vpass
%doc %{_mandir}/man1/vpass.1*

%changelog -n vpass
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Fri Mar 03 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Mon Oct 18 1999 - jnroed@suse.de
- changed Error messages for easier Translation
